Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031673
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-12-09 13:312016-01-28 11:11
ReporteramayavicenteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR16Q1
StatusclosedFix in branchFixed in SCM revision5a86b446511d
ProjectionnoneETAnoneTarget VersionRR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031673: [SERQA 350] Overpayment when void a layaway with payments

DescriptionWhen voiding a layaway with partial payments, if an overpayment is done (for instance with card)the warning message is not raised.
Steps To Reproduce1. Create a layaway with partial payments.
2. Search the layaway crated previously in 'Layaways'.
3. In the menu, click 'Void this layaway' and before confirm, enter a payment higher than the outstanding amount in Card.
4. Confirm the void.
ERROR: The overpayment warning message is not raised and it should.
TagsSER-QA
Attached Files? file icon overpaymentWithLayaway.mp4 [^] (2,402,548 bytes) 2015-12-09 13:42
png file icon issue31673.png [^] (222,793 bytes) 2015-12-29 09:47

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031892 closedjorge-garcia [SERQA 533]The void layaway process does not save the cash up id correctly in its payments 

-  Notes
(0082662)
hgbot (developer)
2015-12-11 04:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a2bca65788926025e32362c85120ca7d63828f67
Author: Ranjith <ranjith <at> qualiantech.com>
Date: Fri Dec 11 08:48:20 2015 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2bca65788926025e32362c85120ca7d63828f67 [^]

Fixes issue 31673 : Show Overpayment Confirmation when voiding the layaway

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0082663)
hgbot (developer)
2015-12-11 04:19

Repository: tools/automation/pi-mobile
Changeset: 5ca59528208f359ad0ea543d9878183065d99563
Author: Ranjith <ranjith <at> qualiantech.com>
Date: Fri Dec 11 08:45:44 2015 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5ca59528208f359ad0ea543d9878183065d99563 [^]

Verifies issue 31673: Added automated test 'I31673_VoidLayawayCheckOverPayment'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I31673_VoidLayawayCheckOverPayment.java
---
(0083032)
jorge-garcia (developer)
2015-12-29 09:46

When the user clicks in Done button and there is an overpayment voiding a layaway with a partial payment, a popup is shown. If you click the popup's cancel button, the Done button in the payment window is always disabled (see attached image).

Steps to reproduce:
1. Create a layaway with partial payments.
2. Search the layaway crated previously in 'Layaways'.
3. In the menu, click 'Void this layaway' and before confirm, enter a payment higher than the outstanding amount in Card.
4. Confirm the void and check that a warning popup is shown.
5. Click on Cancel button in the popup
6. Check that the Done button is disabled
(0083047)
hgbot (developer)
2015-12-29 13:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a86b446511dac5bd70a5c506e68af935e3f520a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Dec 29 17:45:31 2015 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a86b446511dac5bd70a5c506e68af935e3f520a [^]

Fixes issue 31673 : Show Overpayment Confirmation when voiding the layaway

Show/Enable Done Button while closing/hiding Overpayment Confirmation

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0083048)
hgbot (developer)
2015-12-29 13:16

Repository: tools/automation/pi-mobile
Changeset: eb06d936775fa92040b67172fe3494da03d6d27b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Dec 29 17:43:58 2015 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/eb06d936775fa92040b67172fe3494da03d6d27b [^]

Verifies issue 31673: Added automated test 'I31673_VoidLayawayCheckOverPayment'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I31673_VoidLayawayCheckOverPayment.java
---
(0083050)
jorge-garcia (developer)
2015-12-29 13:31

Code review and testing OK
(0083653)
hgbot (developer)
2016-01-28 11:11

Repository: tools/automation/pi-mobile
Changeset: 5aa53c7682ed74d36798e38b9c255b0ae693b7a2
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Jan 22 09:48:43 2016 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5aa53c7682ed74d36798e38b9c255b0ae693b7a2 [^]

Related to issue 31673: Added automated test I31673_VoidLayawayCheckOverPayment

Two of the cheks of the module has been deleted. Only need to check if the
button is enabled when the user close or cancel the overpayment popup.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I31673_VoidLayawayCheckOverPayment.java
---

- Issue History
Date Modified Username Field Change
2015-12-09 13:31 amayavicente New Issue
2015-12-09 13:31 amayavicente Assigned To => Retail
2015-12-09 13:31 amayavicente Resolution time => 1450825200
2015-12-09 13:31 amayavicente Triggers an Emergency Pack => No
2015-12-09 13:31 amayavicente Tag Attached: SER-QA
2015-12-09 13:39 Orekaria Status new => acknowledged
2015-12-09 13:42 Orekaria File Added: overpaymentWithLayaway.mp4
2015-12-09 13:42 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2015-12-09 13:43 ranjith_qualiantech_com Status acknowledged => scheduled
2015-12-11 04:19 hgbot Checkin
2015-12-11 04:19 hgbot Note Added: 0082662
2015-12-11 04:19 hgbot Status scheduled => resolved
2015-12-11 04:19 hgbot Resolution open => fixed
2015-12-11 04:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2bca65788926025e32362c85120ca7d63828f67 [^]
2015-12-11 04:19 hgbot Checkin
2015-12-11 04:19 hgbot Note Added: 0082663
2015-12-14 12:05 Orekaria Review Assigned To => guilleaer
2015-12-29 09:11 jorge-garcia Review Assigned To guilleaer => jorge-garcia
2015-12-29 09:46 jorge-garcia Note Added: 0083032
2015-12-29 09:46 jorge-garcia Status resolved => new
2015-12-29 09:46 jorge-garcia Resolution fixed => open
2015-12-29 09:46 jorge-garcia Status new => scheduled
2015-12-29 09:47 jorge-garcia File Added: issue31673.png
2015-12-29 12:22 Orekaria Target Version => RR16Q1
2015-12-29 13:16 hgbot Checkin
2015-12-29 13:16 hgbot Note Added: 0083047
2015-12-29 13:16 hgbot Status scheduled => resolved
2015-12-29 13:16 hgbot Resolution open => fixed
2015-12-29 13:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2bca65788926025e32362c85120ca7d63828f67 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a86b446511dac5bd70a5c506e68af935e3f520a [^]
2015-12-29 13:16 hgbot Checkin
2015-12-29 13:16 hgbot Note Added: 0083048
2015-12-29 13:31 jorge-garcia Note Added: 0083050
2015-12-29 13:31 jorge-garcia Status resolved => closed
2015-12-29 13:31 jorge-garcia Fixed in Version => RR16Q1
2016-01-18 16:33 jorge-garcia Relationship added related to 0031892
2016-01-28 11:11 hgbot Checkin
2016-01-28 11:11 hgbot Note Added: 0083653


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker